import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchCountOutputTypeSelectObjectSchema as CommissionBatchCountOutputTypeSelectObjectSchema } from './CommissionBatchCountOutputTypeSelect.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => CommissionBatchCountOutputTypeSelectObjectSchema).optional()
}).strict();
export const CommissionBatchCountOutputTypeArgsObjectSchema = makeSchema();
export const CommissionBatchCountOutputTypeArgsObjectZodSchema = makeSchema();
